## knot-resolver 1.0.0~beta3

=== Makefile ===
include config.mk
include platform.mk

# Targets
all: info lib daemon modules
install: lib-install daemon-install modules-install etc-install
check: all tests
clean: contrib-clean lib-clean daemon-clean modules-clean tests-clean doc-clean
doc: doc-html
.PHONY: all install check clean doc info

# Options
ifdef COVERAGE
BUILD_CFLAGS += --coverage
endif

# Dependencies
$(eval $(call find_lib,libknot,2.1))
$(eval $(call find_lib,libzscanner,2.1))
$(eval $(call find_lib,libuv,1.0))
$(eval $(call find_alt,lua,luajit))
$(eval $(call find_lib,cmocka))
$(eval $(call find_bin,doxygen))
$(eval $(call find_bin,sphinx-build))
$(eval $(call find_lib,libmemcached,1.0))
$(eval $(call find_lib,hiredis))
$(eval $(call find_lib,socket_wrapper))
$(eval $(call find_lib,libdnssec))
$(eval $(call find_gopkg,geoip,github.com/abh/geoip))
# Find Go compiler version
# @note Go 1.5 support amd64 only, disabled for other architectures
ifeq ($(ARCH),x86_64)
E :=
GO_VERSION := $(subst $(E) $(E),,$(subst go,,$(wordlist 1,2,$(subst ., ,$(word 3,$(shell $(GO) version))))))
$(eval $(call find_ver,go,$(GO_VERSION),15))
else
HAS_go = no
endif
# Work around luajit on OS X
ifeq ($(PLATFORM), Darwin)
ifneq (,$(findstring luajit, $(lua_LIBS)))
	lua_LIBS += -pagezero_size 10000 -image_base 100000000
endif
endif

BUILD_CFLAGS += $(libknot_CFLAGS) $(libuv_CFLAGS) $(cmocka_CFLAGS) $(lua_CFLAGS) $(libdnssec_CFLAGS)
BUILD_CFLAGS += $(addprefix -I,$(wildcard contrib/ccan/*) contrib/murmurhash3)

# Overview
info:
	$(info Target:     Knot DNS Resolver $(MAJOR).$(MINOR).$(PATCH)-$(PLATFORM))
	$(info Compiler:   $(CC) $(BUILD_CFLAGS))
	$(info )
	$(info Variables)
	$(info ---------)
	$(info HARDENING:  $(HARDENING))
	$(info BUILDMODE:  $(BUILDMODE))
	$(info PREFIX:     $(PREFIX))
	$(info PREFIX:     $(PREFIX))
	$(info DESTDIR:    $(DESTDIR))
	$(info BINDIR:     $(BINDIR))
	$(info LIBDIR:     $(LIBDIR))
	$(info ETCDIR:     $(ETCDIR))
	$(info INCLUDEDIR: $(INCLUDEDIR))
	$(info MODULEDIR:  $(MODULEDIR))
	$(info )
	$(info Dependencies)
	$(info ------------)
	$(info [$(HAS_libknot)] libknot (lib))
	$(info [$(HAS_lua)] luajit (daemon))
	$(info [$(HAS_libuv)] libuv (daemon))
	$(info )
	$(info Optional)
	$(info --------)
	$(info [$(HAS_doxygen)] doxygen (doc))
	$(info [$(HAS_go)] go (modules/go, Go 1.5+ on amd64))
	$(info [$(HAS_geoip)] geoip (modules/tinyweb, github.com/abh/geoip))
	$(info [$(HAS_libmemcached)] libmemcached (modules/memcached))
	$(info [$(HAS_hiredis)] hiredis (modules/redis))
	$(info [$(HAS_cmocka)] cmocka (tests/unit))
	$(info )

# Installation directories
$(DESTDIR)$(MODULEDIR):
	$(INSTALL) -d $@
$(DESTDIR)$(ETCDIR):
	$(INSTALL) -m 0750 -d $@

# Sub-targets
include contrib/contrib.mk
include lib/lib.mk
include daemon/daemon.mk
include modules/modules.mk
include tests/tests.mk
include doc/doc.mk
include etc/etc.mk

=== doc/requirements.txt ===
Sphinx
breathe<=3.2.0

=== debian/changelog ===
knot-resolver (1.0.0~beta3-1) unstable; urgency=medium

  * Add lua-socket and lua-sec for root TA bootstrapping
  * Imported Upstream version 1.0.0~beta3

 -- Ondřej Surý <ondrej@debian.org>  Sat, 30 Jan 2016 16:15:23 +0100

knot-resolver (1.0.0~beta2-123-g6134920-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2-123-g6134920
  * Mangle tinyweb only if it exists (Closes: #812276)
  * Mute lintian error about missing tinyweb.js sources and mute lintian
    warnings about shared library

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jan 2016 15:00:54 +0100

knot-resolver (1.0.0~beta2-104-ge110f97-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2-104-ge110f97
  * Rebase patches on top of 1.0.0~beta2-104-ge110f97 release
  * Knot Resolver needs libknot 2.1.0 at least
  * Disable PIE hardening as it breaks the build
  * Squash debian quirks patch into one
  * Disable ASAN sanitized build
  * libkresd is now dynamic library
  * Install other new files into the package

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jan 2016 16:45:42 +0100

knot-resolver (1.0.0~beta2-58-gd8762fb-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2-58-gd8762fb

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Dec 2015 15:16:43 +0100

knot-resolver (1.0.0~beta2-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta2
  * Build the Go modules on amd64
  * Compile the experimental with clang and AddressSanitizer
  * Fix missing GPL-2 and s/MIT/Expat/ in d/copyright
  * Add missing sources for javascript files
  * Add ${misc:Depends} to -dbg package
  * Tidy-up the permissions on modules
  * Use libjs-jquery and libjs-d3 instead of bundled javascript
  * Stop depending on libknot-dev as the code can cope with SOVERSION

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Nov 2015 11:49:25 +0100

knot-resolver (1.0.0~beta1-85-gd94caa6-1) experimental; urgency=medium

  * Imported Upstream version 1.0.0~beta1-85-gd94caa6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Nov 2015 23:14:07 +0100

knot-resolver (1.0.0~beta1-75-g0497be2-1) experimental; urgency=medium

  * Imported Upstream version 1.0.0~beta1-75-g0497be2
  * Rebase patches on top of 1.0.0~beta1-75-g0497be2

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Nov 2015 09:58:20 +0100

knot-resolver (1.0.0~beta1-12-g822d8fe-1) experimental; urgency=medium

  * Initial release
  * Update d/copyright with some missing bits
  * Imported Upstream version 1.0.0~beta1-12-g822d8fe

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Oct 2015 11:55:14 +0200

=== debian/control ===
Source: knot-resolver
Section: net
Priority: optional
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               dh-systemd,
               doxygen,
               gccgo,
               golang-github-abh-geoip-dev,
               golang-go,
               libcmocka-dev,
               libgeoip-dev,
               libgnutls28-dev,
               libhiredis-dev,
               libjansson-dev,
               libknot-dev (>= 2.1.0~),
               libluajit-5.1-dev,
               libmemcached-dev,
               libuv1-dev,
               luajit,
               pkg-config,
               python
Standards-Version: 3.9.6
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/knot-resolver.git
Vcs-Git: git://anonscm.debian.org/pkg-dns/knot-resolver.git

Package: knot-resolver
Architecture: any
Depends: dns-root-data,
         libjs-d3,
         libjs-jquery,
	 lua-socket,
	 lua-sec,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: caching, DNSSEC-validating DNS resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.

Package: knot-resolver-dbg
Architecture: any
Depends: knot-resolver (= ${binary:Version}),
         ${misc:Depends}
Recommends: gdb
Section: debug
Priority: extra
Description: Debug symbols for Knot DNS Resolver
 This package provides the debug symbols for Knot DNS Resolver needed
 for properly debugging errors in Knot Resolver with gdb.
 .
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fno-omit-frame-pointer
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk

export GOPATH = /usr/share/gocode

export ARCH=$(DEB_HOST_GNU_CPU)

# main packaging script based on dh7 syntax
%:
	dh $@ --with systemd --with golang

override_dh_auto_build:
	dh_auto_build -- ARCH=$(DEB_HOST_GNU_CPU) V=1

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- ARCH=$(DEB_HOST_GNU_CPU)
	# make the modules non-executable
	chmod -x debian/tmp/usr/lib/knot-resolver/*.lua
	chmod -x debian/tmp/usr/lib/knot-resolver/*.so
	if [ -d debian/tmp/usr/lib/knot-resolver/tinyweb/ ]; then \
	  chmod -x debian/tmp/usr/lib/knot-resolver/tinyweb/*; \
	  rm debian/tmp/usr/lib/knot-resolver/tinyweb/LICENSE; \
	  rm debian/tmp/usr/lib/knot-resolver/tinyweb/jquery.js; \
	  ln -s /usr/share/javascript/jquery/jquery.min.js debian/tmp/usr/lib/knot-resolver/tinyweb/jquery.js; \
	  rm debian/tmp/usr/lib/knot-resolver/tinyweb/d3.js; \
	  ln -s /usr/share/javascript/d3/d3.min.js debian/tmp/usr/lib/knot-resolver/tinyweb/d3.js; \
	fi
	# install custom config file
	install -d -m 755 debian/tmp/etc/knot-resolver/
	install -m 644 debian/kresd.conf debian/tmp/etc/knot-resolver/
	install -d -m 755 debian/tmp/usr/lib/knot-resolver/
	install -m 755 debian/init-d-script debian/tmp/usr/lib/knot-resolver/

override_dh_auto_test:
	:

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=knot-resolver-dbg

## knot-resolver 1.1.0

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,10 @@
 
 # Dependencies
 $(eval $(call find_lib,libknot,2.1))
+$(eval $(call find_lib,lmdb))
 $(eval $(call find_lib,libzscanner,2.1))
 $(eval $(call find_lib,libuv,1.0))
+$(eval $(call find_lib,nettle))
 $(eval $(call find_alt,lua,luajit))
 $(eval $(call find_lib,cmocka))
 $(eval $(call find_bin,doxygen))
@@ -26,16 +28,33 @@
 $(eval $(call find_lib,hiredis))
 $(eval $(call find_lib,socket_wrapper))
 $(eval $(call find_lib,libdnssec))
-$(eval $(call find_gopkg,geoip,github.com/abh/geoip))
-# Find Go compiler version
-# @note Go 1.5 support amd64 only, disabled for other architectures
-ifeq ($(ARCH),x86_64)
-E :=
-GO_VERSION := $(subst $(E) $(E),,$(subst go,,$(wordlist 1,2,$(subst ., ,$(word 3,$(shell $(GO) version))))))
+$(eval $(call find_lib,libsystemd,227))
+$(eval $(call find_lib,gnutls))
+
+# Find Go version and platform
+GO_VERSION := $(shell $(GO) version 2>/dev/null)
+ifeq ($(GO_VERSION),)
+        GO_VERSION := 0
+else
+        GO_PLATFORM := $(word 2,$(subst /, ,$(word 4,$(GO_VERSION))))
+        GO_VERSION := $(subst .,,$(subst go,,$(word 3,$(GO_VERSION))))
+endif
+$(eval $(call find_ver,go,$(GO_VERSION),16))
+
+# Check if Go is able to build shared libraries
+ifeq ($(HAS_go),yes)
+ifneq ($(GO_PLATFORM),$(filter $(GO_PLATFORM),amd64 386 arm arm64))
+HAS_go := no
+endif
+else
 $(eval $(call find_ver,go,$(GO_VERSION),15))
-else
-HAS_go = no
+ifeq ($HAS_go,yes)
+ifneq ($(GO_PLATFORM),$(filter $(GO_PLATFORM),arm amd64))
+HAS_go := no
 endif
+endif
+endif
+
 # Work around luajit on OS X
 ifeq ($(PLATFORM), Darwin)
 ifneq (,$(findstring luajit, $(lua_LIBS)))
@@ -43,8 +62,15 @@
 endif
 endif
 
-BUILD_CFLAGS += $(libknot_CFLAGS) $(libuv_CFLAGS) $(cmocka_CFLAGS) $(lua_CFLAGS) $(libdnssec_CFLAGS)
+BUILD_CFLAGS += $(libknot_CFLAGS) $(libuv_CFLAGS) $(nettle_CFLAGS) $(cmocka_CFLAGS) $(lua_CFLAGS) $(libdnssec_CFLAGS) $(libsystemd_CFLAGS)
 BUILD_CFLAGS += $(addprefix -I,$(wildcard contrib/ccan/*) contrib/murmurhash3)
+
+# Check if it has libknot 2.3.0 and nettle to support DNS cookies
+$(eval $(call find_alt,knot230,libknot,2.3))
+ifeq ($(HAS_nettle)|$(HAS_knot230),yes|yes)
+BUILD_CFLAGS += -DENABLE_COOKIES
+ENABLE_COOKIES := yes
+endif
 
 # Overview
 info:
@@ -59,6 +85,7 @@
 	$(info PREFIX:     $(PREFIX))
 	$(info DESTDIR:    $(DESTDIR))
 	$(info BINDIR:     $(BINDIR))
+	$(info SBINDIR:    $(SBINDIR))
 	$(info LIBDIR:     $(LIBDIR))
 	$(info ETCDIR:     $(ETCDIR))
 	$(info INCLUDEDIR: $(INCLUDEDIR))
@@ -67,17 +94,20 @@
 	$(info Dependencies)
 	$(info ------------)
 	$(info [$(HAS_libknot)] libknot (lib))
+	$(info [$(HAS_lmdb)] lmdb (lib))
 	$(info [$(HAS_lua)] luajit (daemon))
 	$(info [$(HAS_libuv)] libuv (daemon))
+	$(info [$(HAS_gnutls)] libgnutls (daemon))
+	$(info [$(HAS_nettle)] nettle (DNS cookies))
 	$(info )
 	$(info Optional)
 	$(info --------)
 	$(info [$(HAS_doxygen)] doxygen (doc))
-	$(info [$(HAS_go)] go (modules/go, Go 1.5+ on amd64))
-	$(info [$(HAS_geoip)] geoip (modules/tinyweb, github.com/abh/geoip))
+	$(info [$(HAS_go)] go (modules/go, Go buildmode=c-shared support))
 	$(info [$(HAS_libmemcached)] libmemcached (modules/memcached))
 	$(info [$(HAS_hiredis)] hiredis (modules/redis))
 	$(info [$(HAS_cmocka)] cmocka (tests/unit))
+	$(info [$(HAS_libsystemd)] systemd (daemon))
 	$(info )
 
 # Installation directories

=== debian/changelog ===
knot-resolver (1.1.0-8) unstable; urgency=medium

  * Use restart instead of try-restart if upgrading from << 1.1.0-7

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2016 11:18:46 +0200

knot-resolver (1.1.0-7) unstable; urgency=medium

  * Add the final missing bits from dh_systemd_enable

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2016 10:29:22 +0200

knot-resolver (1.1.0-6) unstable; urgency=medium

  * Make extra sure that kresd.service is stopped before starting the
    sockets again
  * Stop old systemd units early before they are removed

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Aug 2016 08:32:22 +0200

knot-resolver (1.1.0-5) unstable; urgency=medium

  * Stop kresd.service in prerm script to allow kresd.socket restarts

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 15:43:59 +0200

knot-resolver (1.1.0-4) unstable; urgency=medium

  * Install kresd-tls.socket into the package
  * Unwrap variables in default file as systemd units cannot resolve
    nested variables

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 13:29:32 +0200

knot-resolver (1.1.0-3) unstable; urgency=medium

  * Tighten Build-Depends on libcmocka-dev to 1.0.0
  * Cleanup the knot-resolver -> kresd init script rename

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 13:11:10 +0200

knot-resolver (1.1.0-2) unstable; urgency=medium

  * Update systemd units to be named after the daemon (kresd)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Aug 2016 10:09:53 +0200

knot-resolver (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0
  * Rebase patches on top of Knot Resolver 1.1.0
  * Don't require libsystemd-dev on Ubuntu 14.04 LTS

 -- Ondřej Surý <ondrej@debian.org>  Fri, 12 Aug 2016 10:45:09 +0200

knot-resolver (1.1.0~git2016072900-2) unstable; urgency=medium

  * Fix minor nits in maintainers scripts (Courtesy of Andreas Henriksson)
  * Imported Upstream version 1.1.0~2016080800
  * Bump required version of libknot to 2.3.0

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Aug 2016 10:04:01 +0200

knot-resolver (1.1.0~git2016072900-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016072900
  * Knot Resolver is now running as non-privileged socket activated
    systemd service.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Aug 2016 09:01:15 +0200

knot-resolver (1.1.0~git2016072000-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016072000

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2016 14:31:10 +0200

knot-resolver (1.1.0~git2016071900-1) unstable; urgency=medium

  * Use correct lua comments in default kresd.conf
  * knot-resolver 1.1.0~git2016071300-3
  * Imported Upstream version 1.1.0~git2016071900

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2016 07:45:42 +0200

knot-resolver (1.1.0~git2016071300-3) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Remove static lib/libkres.a during clean
  * Put knot-resolver-doc into Section: doc (thanks, Lintian!)

  [ Ondřej Surý ]
  * Use correct lua comments in default kresd.conf

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Jul 2016 10:47:12 +0200

knot-resolver (1.1.0~git2016071300-2) unstable; urgency=medium

  * Build and install documentation into knot-resolver-doc package
    (Closes: #831461)
  * Build with libsystemd-dev to get socket-activation
  * Set LD_LIBRARY_PATH to load correct libkresd.so.1 for tests
  * Link the tests with static libkres library

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Jul 2016 15:55:04 +0200

knot-resolver (1.1.0~git2016071300-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016071300
  * knot-resolver-module-all should be arch:all (only lua there)
  * Don't build tinyweb module anymore as HTTP/2 module replaces it

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jul 2016 07:28:24 +0200

knot-resolver (1.1.0~git2016070600-4) unstable; urgency=medium

  * Add missing http.lua to knot-resolver-module-http package

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 15:35:11 +0200

knot-resolver (1.1.0~git2016070600-3) unstable; urgency=medium

  * Add NEW packages lua-http and lua-mmdb to knot-resolver-module-http
    Depends
  * knot-resolver now recommends knot-resolver-module-http
  * Add liblmdb-dev to Build-Depends (Closes: #830934)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 14:09:12 +0200

knot-resolver (1.1.0~git2016070600-2) unstable; urgency=medium

  * Explicitly declare architectures for tinyweb module
    (Closes: #830939)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Jul 2016 09:32:30 +0200

knot-resolver (1.1.0~git2016070600-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0~git2016070600
  * Adapt to the new fixed config.mk that accepts overrides
  * Add new HTTP/2 module that will replace tinyweb module
  * Add daf module to knot-resolver
  * Bump standards to 3.9.8 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Jul 2016 15:33:21 +0200

knot-resolver (1.0.0-16-g1070c49-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0-16-g1070c49
  * Add Breaks/Replaces for knot-resolver-module-tinyweb (Closes: #829051)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 30 Jun 2016 11:02:06 +0200

knot-resolver (1.0.0-13-g95b243f-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0-13-g95b243f

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Jun 2016 09:28:44 +0200

knot-resolver (1.0.0-12-g86f75f0-1) unstable; urgency=medium

  * Split tinyweb module into separate package
  * Imported Upstream version 1.0.0-12-g86f75f0
  * Use simpler method for optional dh_strip parameter

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Jun 2016 09:23:27 +0200

knot-resolver (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0

 -- Ondřej Surý <ondrej@debian.org>  Tue, 31 May 2016 10:12:26 +0200

knot-resolver (1.0.0~beta3-95-g550ceca-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0~beta3-95-g550ceca



=== debian/control ===
Source: knot-resolver
Section: net
Priority: optional
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends-Indep:                doxygen,
	       python-sphinx,
	       python-breathe
Build-Depends: debhelper (>= 9),
               dh-systemd,
               libcmocka-dev (>= 1.0.0),
               libgeoip-dev,
               libgnutls28-dev,
               libhiredis-dev,
               libjansson-dev,
               libknot-dev (>= 2.3.0),
               liblmdb-dev,
               libluajit-5.1-dev,
               libmemcached-dev,
	       libsystemd-dev (>= 227) | base-files (<< 8),
               libuv1-dev,
               luajit,
               pkg-config,
               python
Standards-Version: 3.9.8
Homepage: https://www.knot-dns.cz/
Vcs-Browser: https://anonscm.debian.org/git/pkg-dns/knot-resolver.git
Vcs-Git: https://anonscm.debian.org/git/pkg-dns/knot-resolver.git

Package: knot-resolver
Architecture: any
Depends: dns-root-data,
         lua-sec,
         lua-socket,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: knot-resolver-module-http
Description: caching, DNSSEC-validating DNS resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 The Lua modules, switchable and shareable cache, and fast FFI
 bindings makes it great to tap into resolution process, or be used
 for your recursive DNS service. It's the OpenResty of DNS.
 .
 The server adopts a different scaling strategy than the rest of the
 DNS recursors - no threading, shared-nothing architecture (except
 MVCC cache that may be shared). You can start and stop additional
 nodes depending on the contention without downtime.

Package: knot-resolver-module-http
Architecture: all
Depends: libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         lua-http,
         lua-mmdb,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: knot-resolver-module-tinyweb (<< 1.1.0~git20160713-1~)
Description: HTTP/2 module for Knot Resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains HTTP/2 module for local visualization of the
 resolver cache and queries.

Package: knot-resolver-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Knot Resolver
 The Knot DNS Resolver is a caching full resolver implementation
 written in C and LuaJIT, including both a resolver library and a
 daemon. Modular architecture of the library keeps the core tiny and
 efficient, and provides a state-machine like API for
 extensions. There are three built-in modules - iterator, cache,
 validator, and many external.
 .
 This package contains Knot Resolver Documentation.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fno-omit-frame-pointer
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export ARCH=$(DEB_HOST_GNU_CPU)

MAKEVARS := ARCH=$(DEB_HOST_GNU_CPU) PREFIX=/usr MODULEDIR=/usr/lib/knot-resolver ETCDIR=/etc/knot-resolver V=1

# main packaging script based on dh7 syntax
%:
	dh $@ --with systemd --fail-missing

override_dh_auto_clean:
	dh_auto_clean -- clean

override_dh_auto_clean-indep:
	dh_auto_clean -- doc-clean http-clean

override_dh_auto_build-arch:
	dh_auto_build -- $(MAKEVARS) BUILDMODE=static lib
	dh_auto_build -- $(MAKEVARS)

override_dh_auto_build-indep:
	dh_auto_build -- $(MAKEVARS) http
	dh_auto_build -- $(MAKEVARS) doc-doxygen
	cd doc && sphinx-build -b html -D html_theme=nature . html

override_dh_auto_install-arch:
	dh_auto_install --destdir=debian/tmp -- $(MAKEVARS)

# make the modules non-executable
	chmod -x debian/tmp/usr/lib/knot-resolver/*.lua
	chmod -x debian/tmp/usr/lib/knot-resolver/*.so

# install custom config file
	install -d -m 755 debian/tmp/etc/knot-resolver/
	install -m 644 debian/kresd.conf debian/tmp/etc/knot-resolver/
	install -d -m 755 debian/tmp/usr/lib/knot-resolver/
	install -m 755 debian/init-d-script debian/tmp/usr/lib/knot-resolver/

override_dh_auto_install-indep:
# install just the http/2 module
	make http-install DESTDIR=debian/tmp $(MAKEVARS)

# make the modules non-executable
	chmod -x debian/tmp/usr/lib/knot-resolver/http/*

# tidy up http/2 module
	rm debian/tmp/usr/lib/knot-resolver/http/LICENSE
	rm debian/tmp/usr/lib/knot-resolver/http/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.min.js debian/tmp/usr/lib/knot-resolver/http/jquery.js
	rm debian/tmp/usr/lib/knot-resolver/http/d3.js
	ln -s /usr/share/javascript/d3/d3.min.js debian/tmp/usr/lib/knot-resolver/http/d3.js
	rm debian/tmp/usr/lib/knot-resolver/http/bootstrap.min.js
	ln -s /usr/share/javascript/bootstrap/js/bootstrap.min.js debian/tmp/usr/lib/knot-resolver/http/bootstrap.min.js
	rm debian/tmp/usr/lib/knot-resolver/http/bootstrap.min.css
	ln -s /usr/share/javascript/bootstrap/css/bootstrap.min.css debian/tmp/usr/lib/knot-resolver/http/bootstrap.min.css
	rm debian/tmp/usr/lib/knot-resolver/http/bootstrap-theme.min.css
	ln -s /usr/share/javascript/bootstrap/css/bootstrap-theme.min.css debian/tmp/usr/lib/knot-resolver/http/bootstrap-theme.min.css

override_dh_installinit:
	install -d -m 755 debian/knot-resolver/lib/systemd/system/
	install -m 644 systemd/kresd.service debian/knot-resolver/lib/systemd/system/
	install -m 644 systemd/kresd.socket debian/knot-resolver/lib/systemd/system/
	install -m 644 systemd/kresd-control.socket debian/knot-resolver/lib/systemd/system/
	install -m 644 systemd/kresd-tls.socket debian/knot-resolver/lib/systemd/system/
	install -d -m 755 debian/knot-resolver/usr/lib/tmpfiles.d/
	install -m 644 systemd/tmpfiles/kresd.conf debian/knot-resolver/usr/lib/tmpfiles.d/
	dh_installinit -pknot-resolver --name=kresd --no-start

# Due to socket activation we are doing the dh_systemd_* stuff by hand
override_dh_systemd_enable:
override_dh_systemd_start:

override_dh_auto_test-indep:
override_dh_auto_test-arch:
	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test

override_dh_strip:
	dh_strip -O--dbgsym-migration='knot-resolver-dbg (<< 1.0.0~beta3-60-ge61c48e-1~)'

## knot-resolver 1.2.0

=== debian/changelog ===
knot-resolver (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Squash 1.2.0 changelog into a single 1.2.0 entry
  * Add d/upstream/signing-key.asc
  * Add d/watch to monitor upstream tarballs

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Jan 2017 14:23:27 +0100

knot-resolver (1.1.1-131-g59d5adf-1) unstable; urgency=medium

  * Disable tests on mipsel that started to fail in a mysterious way
    (Closes: #847696)
  * Imported Upstream version 1.1.1-131-g59d5adf

 -- Ondřej Surý <ondrej@debian.org>  Wed, 14 Dec 2016 12:16:36 +0100

knot-resolver (1.1.1-122-g940fda9-2) unstable; urgency=medium

  * Move -DNDEBUG just to build target

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Dec 2016 09:52:19 +0100

knot-resolver (1.1.1-122-g940fda9-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1-122-g940fda9
  * Remove static linking patch
  * Add $(MAKEVARS) to make check invocation
  * Use SOVERSION when compiling to unfail the tests

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Dec 2016 16:26:27 +0100

knot-resolver (1.1.1-41-g8437a7d-2) unstable; urgency=medium

  * Update NEWS with kresd.service (Closes: #843178)
  * Enable NDEBUG on production builds

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Dec 2016 10:02:55 +0100

knot-resolver (1.1.1-41-g8437a7d-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1-41-g8437a7d
  * Add instructions how to rebuild epoch.js and epoch.css using Debian
    tools (Closes: #833309)
  * Record SONAMEs of used C libraries as lua literals instead of guessing
    (Closes: #841496)
  * Rebase patches on top of new git master release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 21 Oct 2016 11:27:56 +0200

knot-resolver (1.1.1-2) unstable; urgency=medium

  * Add missing sources for epoch.js
  * Also allow loading of libknot.so.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Oct 2016 14:54:20 +0200

knot-resolver (1.1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Oct 2016 14:52:37 +0200

## knot-resolver 1.2.2

=== Makefile ===
include config.mk
include platform.mk

# Targets
all: info lib daemon modules
install: lib-install daemon-install modules-install etc-install
check: all tests
clean: contrib-clean lib-clean daemon-clean modules-clean tests-clean doc-clean bench-clean
doc: doc-html
.PHONY: all install check clean doc info

# Options
ifdef COVERAGE
BUILD_CFLAGS += --coverage
endif

# Dependencies
$(eval $(call find_lib,libknot,2.3.1,yes))
$(eval $(call find_lib,libdnssec,2.3.1,yes))
$(eval $(call find_lib,libzscanner,2.3.1,yes))
$(eval $(call find_lib,lmdb))
$(eval $(call find_lib,libuv,1.0,yes))
$(eval $(call find_lib,nettle,,yes))
$(eval $(call find_alt,lua,luajit))
$(eval $(call find_luapkg,ltn12))
$(eval $(call find_luapkg,ssl.https))
$(eval $(call find_lib,cmocka))
$(eval $(call find_bin,doxygen))
$(eval $(call find_bin,sphinx-build))
$(eval $(call find_pythonpkg,breathe))
$(eval $(call find_lib,libmemcached,1.0))
$(eval $(call find_lib,hiredis,,yes))
$(eval $(call find_lib,socket_wrapper))
$(eval $(call find_lib,libsystemd,227))
$(eval $(call find_lib,gnutls))

# Lookup SONAME
$(eval $(call find_soname,libknot))
$(eval $(call find_soname,libzscanner))

ifeq ($(libknot_SONAME),)
  $(error "Unable to resolve libknot_SONAME, update find_soname in platform.mk")
endif
ifeq ($(libzscanner_SONAME),)
  $(error "Unable to resolve libzscanner_SONAME, update find_some in platform.mk")
endif

# Find Go version and platform
GO_VERSION := $(shell $(GO) version 2>/dev/null)
ifeq ($(GO_VERSION),)
        GO_VERSION := 0
else
        GO_PLATFORM := $(word 2,$(subst /, ,$(word 4,$(GO_VERSION))))
        GO_VERSION := $(subst .,,$(subst go,,$(word 3,$(GO_VERSION))))
endif
$(eval $(call find_ver,go,$(GO_VERSION),16))

# Check if Go is able to build shared libraries
ifeq ($(HAS_go),yes)
ifneq ($(GO_PLATFORM),$(filter $(GO_PLATFORM),amd64 386 arm arm64))
HAS_go := no
endif
else
$(eval $(call find_ver,go,$(GO_VERSION),15))
ifeq ($HAS_go,yes)
ifneq ($(GO_PLATFORM),$(filter $(GO_PLATFORM),arm amd64))
HAS_go := no
endif
endif
endif

# Overview
info:
	$(info Target:     Knot DNS Resolver $(VERSION)-$(PLATFORM))
	$(info Compiler:   $(CC) $(BUILD_CFLAGS))
	$(info )
	$(info Variables)
	$(info ---------)
	$(info HARDENING:  $(HARDENING))
	$(info BUILDMODE:  $(BUILDMODE))
	$(info PREFIX:     $(PREFIX))
	$(info PREFIX:     $(PREFIX))
	$(info DESTDIR:    $(DESTDIR))
	$(info BINDIR:     $(BINDIR))
	$(info SBINDIR:    $(SBINDIR))
	$(info LIBDIR:     $(LIBDIR))
	$(info ETCDIR:     $(ETCDIR))
	$(info INCLUDEDIR: $(INCLUDEDIR))
	$(info MODULEDIR:  $(MODULEDIR))
	$(info )
	$(info Core Dependencies)
	$(info ------------)
	$(info [$(HAS_libknot)] libknot (lib))
	$(info [yes] $(if $(filter $(HAS_lmdb),yes),system,embedded) lmdb (lib))
	$(info [$(HAS_lua)] luajit (daemon))
	$(info [$(HAS_libuv)] libuv (daemon))
	$(info [$(HAS_gnutls)] libgnutls (daemon))
	$(info )
	$(info Optional)
	$(info --------)
	$(info [$(HAS_doxygen)] doxygen (doc))
	$(info [$(HAS_sphinx-build)] sphinx-build (doc))
	$(info [$(HAS_breathe)] python-breathe (doc))
	$(info [$(HAS_go)] go (modules/go, Go buildmode=c-shared support))
	$(info [$(HAS_libmemcached)] libmemcached (modules/memcached))
	$(info [$(HAS_hiredis)] hiredis (modules/redis))
	$(info [$(HAS_cmocka)] cmocka (tests/unit))
	$(info [$(HAS_libsystemd)] systemd (daemon))
	$(info [$(HAS_nettle)] nettle (modules/cookies))
	$(info [$(HAS_ltn12)] Lua socket ltn12 (trust anchor bootstrapping))
	$(info [$(HAS_ssl.https)] Lua ssl.https (trust anchor bootstrapping))
	$(info )

# Verify required dependencies are met, as listed above
ifeq ($(HAS_libknot),no)
	$(error libknot >= 2.3.1 required)
endif
ifeq ($(HAS_libzscanner),no)
	$(error libzscanner >= 2.3.1 required)
endif
ifeq ($(HAS_libdnssec),no)
	$(error libdnssec >= 2.3.1 required)
endif
ifeq ($(HAS_lua),no)
	$(error luajit required)
endif
ifeq ($(HAS_libuv),no)
	$(error libuv >= 1.0 required)
endif
ifeq ($(HAS_gnutls),no)
	$(error gnutls required)
endif


BUILD_CFLAGS += $(libknot_CFLAGS) $(libuv_CFLAGS) $(nettle_CFLAGS) $(cmocka_CFLAGS) $(lua_CFLAGS) $(libdnssec_CFLAGS) $(libsystemd_CFLAGS)
BUILD_CFLAGS += $(addprefix -I,$(wildcard contrib/ccan/*) contrib/murmurhash3)

# Work around luajit on OS X
ifeq ($(PLATFORM), Darwin)
ifneq (,$(findstring luajit, $(lua_LIBS)))
	lua_LIBS += -pagezero_size 10000 -image_base 100000000
endif
endif

# Check if it has libknot 2.3.0 and nettle to support DNS cookies
$(eval $(call find_alt,knot230,libknot,2.3))
ifeq ($(HAS_nettle)|$(HAS_knot230),yes|yes)
BUILD_CFLAGS += -DENABLE_COOKIES
ENABLE_COOKIES := yes
endif

# Installation directories
$(DESTDIR)$(MODULEDIR):
	$(INSTALL) -d $@
$(DESTDIR)$(ETCDIR):
	$(INSTALL) -m 0750 -d $@

# Sub-targets
include contrib/contrib.mk
include lib/lib.mk
include daemon/daemon.mk
include modules/modules.mk
include tests/tests.mk
include doc/doc.mk
include etc/etc.mk
include bench/bench.mk

=== debian/changelog ===
knot-resolver (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Feb 2017 13:54:28 +0100

knot-resolver (1.2.1-1) unstable; urgency=high

  * New upstream version 1.2.1

 -- Ondřej Surý <ondrej@debian.org>  Wed, 01 Feb 2017 20:56:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Build-Depends-Indep:                doxygen,
-	       python-sphinx,
-	       python-breathe
+Build-Depends-Indep: doxygen,
+                     python-breathe,
+                     python-sphinx
 Build-Depends: debhelper (>= 9),
                dh-systemd,
                libcmocka-dev (>= 1.0.0),
@@ -17,7 +17,7 @@
                liblmdb-dev,
                libluajit-5.1-dev,
                libmemcached-dev,
-	       libsystemd-dev (>= 227) | base-files (<< 8),
+               libsystemd-dev (>= 227) | base-files (<< 8),
                libuv1-dev,
                luajit,
                pkg-config,
@@ -29,7 +29,8 @@
 
 Package: knot-resolver
 Architecture: any
-Depends: dns-root-data,
+Depends: adduser,
+         dns-root-data,
          lua-sec,
          lua-socket,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,12 @@
 
 MAKEVARS := ARCH=$(DEB_HOST_GNU_CPU) PREFIX=/usr MODULEDIR=/usr/lib/knot-resolver ETCDIR=/etc/knot-resolver V=1
 
+RUN_TESTS := yes
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el armel armhf arm64 kfreebsd-amd64 kfreebsd-i386))
+  $(warning Disabling checks on $(DEB_HOST_ARCH))
+  RUN_TESTS := no
+endif
+
 # main packaging script based on dh7 syntax
 %:
 	dh $@ --with systemd --fail-missing
@@ -31,8 +37,8 @@
 	dh_auto_clean -- doc-clean http-clean
 
 override_dh_auto_build-arch:
-	dh_auto_build -- $(MAKEVARS) BUILDMODE=static lib
-	dh_auto_build -- $(MAKEVARS)
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS) BUILDMODE=static lib
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS)
 
 override_dh_auto_build-indep:
 	dh_auto_build -- $(MAKEVARS) http
@@ -88,7 +94,9 @@
 
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
-	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test
+ifeq ($(RUN_TESTS),yes)
+	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test -- $(MAKEVARS)
+endif
 
 override_dh_strip:
 	dh_strip -O--dbgsym-migration='knot-resolver-dbg (<< 1.0.0~beta3-60-ge61c48e-1~)'

## knot-resolver 1.3.3

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 include platform.mk
 
 # Targets
-all: info lib daemon modules
-install: lib-install daemon-install modules-install etc-install
+all: info lib daemon client modules
+install: lib-install daemon-install client-install modules-install etc-install
 check: all tests
-clean: contrib-clean lib-clean daemon-clean modules-clean tests-clean doc-clean bench-clean
+clean: contrib-clean lib-clean daemon-clean client-clean modules-clean \
+	tests-clean doc-clean bench-clean
 doc: doc-html
 .PHONY: all install check clean doc info
 
@@ -15,9 +16,10 @@
 endif
 
 # Dependencies
-$(eval $(call find_lib,libknot,2.3.1,yes))
-$(eval $(call find_lib,libdnssec,2.3.1,yes))
-$(eval $(call find_lib,libzscanner,2.3.1,yes))
+KNOT_MINVER := 2.3.1
+$(eval $(call find_lib,libknot,$(KNOT_MINVER),yes))
+$(eval $(call find_lib,libdnssec,$(KNOT_MINVER),yes))
+$(eval $(call find_lib,libzscanner,$(KNOT_MINVER),yes))
 $(eval $(call find_lib,lmdb))
 $(eval $(call find_lib,libuv,1.0,yes))
 $(eval $(call find_lib,nettle,,yes))
@@ -33,6 +35,10 @@
 $(eval $(call find_lib,socket_wrapper))
 $(eval $(call find_lib,libsystemd,227))
 $(eval $(call find_lib,gnutls))
+$(eval $(call find_lib,libedit))
+$(eval $(call find_lib,libprotobuf-c,1))
+$(eval $(call find_lib,libfstrm,0.2))
+$(eval $(call find_bin,protoc-c))
 
 # Lookup SONAME
 $(eval $(call find_soname,libknot))
@@ -67,6 +73,11 @@
 HAS_go := no
 endif
 endif
+endif
+
+# check for fstrm and protobuf for dnstap
+ifeq ($(HAS_libfstrm)|$(HAS_libprotobuf-c)|$(HAS_protoc-c),yes|yes|yes)
+ENABLE_DNSTAP := yes
 endif
 
 # Overview
@@ -109,17 +120,21 @@
 	$(info [$(HAS_nettle)] nettle (modules/cookies))
 	$(info [$(HAS_ltn12)] Lua socket ltn12 (trust anchor bootstrapping))
 	$(info [$(HAS_ssl.https)] Lua ssl.https (trust anchor bootstrapping))
+	$(info [$(HAS_libedit)] libedit (client))
+	$(info [$(HAS_libfstrm)] libfstrm (modules/dnstap))
+	$(info [$(HAS_libprotobuf-c)] libprotobuf-c (modules/dnstap))
+	$(info [$(HAS_protoc-c)] proto-c (modules/dnstap))
 	$(info )
 
 # Verify required dependencies are met, as listed above
 ifeq ($(HAS_libknot),no)
-	$(error libknot >= 2.3.1 required)
+	$(error libknot >= $(KNOT_MINVER) required)
 endif
 ifeq ($(HAS_libzscanner),no)
-	$(error libzscanner >= 2.3.1 required)
+	$(error libzscanner >= $(KNOT_MINVER) required)
 endif
 ifeq ($(HAS_libdnssec),no)
-	$(error libdnssec >= 2.3.1 required)
+	$(error libdnssec >= $(KNOT_MINVER) required)
 endif
 ifeq ($(HAS_lua),no)
 	$(error luajit required)

=== debian/changelog ===
knot-resolver (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Aug 2017 15:28:35 +0200

knot-resolver (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Jul 2017 14:22:08 +0200

knot-resolver (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Remove all upstream patches merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Jun 2017 14:38:15 +0200

knot-resolver (1.3.0-2) unstable; urgency=medium

  * Fix the moduledir in the http2 module

 -- Ondřej Surý <ondrej@debian.org>  Fri, 16 Jun 2017 13:20:14 +0200

knot-resolver (1.3.0-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 1.3.0
  * Export MAKEVARS as environment variables
  * Add libedit-dev to B-D to build kresc

  [ Daniel Kahn Gillmor ]
  * ship kresc because we use --fail-missing
  * clean up things the upstream build scripts leave behind

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Jun 2017 09:07:54 +0200

knot-resolver (1.2.6-1) unstable; urgency=medium

  * New upstream version 1.2.6

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Apr 2017 16:31:11 +0200

knot-resolver (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5

 -- Ondřej Surý <ondrej@debian.org>  Wed, 05 Apr 2017 16:07:40 +0200

knot-resolver (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Mar 2017 14:20:24 +0100

knot-resolver (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Feb 2017 15:49:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper (>= 9),
                dh-systemd,
                libcmocka-dev (>= 1.0.0),
+	       libedit-dev,
                libgeoip-dev,
                libgnutls28-dev,
                libhiredis-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,9 @@
 include /usr/share/dpkg/default.mk
 
 export ARCH=$(DEB_HOST_GNU_CPU)
-
-MAKEVARS := ARCH=$(DEB_HOST_GNU_CPU) PREFIX=/usr MODULEDIR=/usr/lib/knot-resolver ETCDIR=/etc/knot-resolver V=1
+export PREFIX=/usr
+export MODULEDIR=/usr/lib/knot-resolver
+export ETCDIR=/etc/knot-resolver
 
 RUN_TESTS := yes
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el armel armhf arm64 kfreebsd-amd64 kfreebsd-i386))
@@ -37,16 +38,16 @@
 	dh_auto_clean -- doc-clean http-clean
 
 override_dh_auto_build-arch:
-	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS) BUILDMODE=static lib
-	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- $(MAKEVARS)
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- V=1 BUILDMODE=static lib
+	CFLAGS="$${CFLAGS} -DNDEBUG" dh_auto_build -- V=1
 
 override_dh_auto_build-indep:
-	dh_auto_build -- $(MAKEVARS) http
-	dh_auto_build -- $(MAKEVARS) doc-doxygen
+	dh_auto_build -- V=1 http
+	dh_auto_build -- V=1 doc-doxygen
 	cd doc && sphinx-build -b html -D html_theme=nature . html
 
 override_dh_auto_install-arch:
-	dh_auto_install --destdir=debian/tmp -- $(MAKEVARS)
+	dh_auto_install --destdir=debian/tmp -- V=1
 
 # make the modules non-executable
 	chmod -x debian/tmp/usr/lib/knot-resolver/*.lua
@@ -60,7 +61,7 @@
 
 override_dh_auto_install-indep:
 # install just the http/2 module
-	make http-install DESTDIR=debian/tmp $(MAKEVARS)
+	make http-install DESTDIR=debian/tmp V=1
 
 # make the modules non-executable
 	chmod -x debian/tmp/usr/lib/knot-resolver/http/*
@@ -95,7 +96,7 @@
 override_dh_auto_test-indep:
 override_dh_auto_test-arch:
 ifeq ($(RUN_TESTS),yes)
-	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test -- $(MAKEVARS)
+	LD_LIBRARY_PATH=$(CURDIR)/lib dh_auto_test -- V=1
 endif
 
 override_dh_strip:

=== debian/watch ===
version=3
opts=uversionmangle=s/-((alpha|beta|rc)\d*)$/~$1/,pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+hotfix// \
https://secure.nic.cz/files/knot-resolver/ \
(?:|.*/)knot-resolver(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
